GNU bug report logs - #41722
26.3; mouse-2 does not work well on 7 button mouse

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jason <jgg@HIDDEN>; Keywords: moreinfo; dated Fri, 5 Jun 2020 15:44:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41722 <at> debbugs.gnu.org:


Received: (at 41722) by debbugs.gnu.org; 6 Jun 2022 13:55:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 09:55:06 2022
Received: from localhost ([127.0.0.1]:34804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyDCE-00007p-4f
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 09:55:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nyDCB-00006g-Mo
 for 41722 <at> debbugs.gnu.org; Mon, 06 Jun 2022 09:55:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=XGx7KZ101ig1d5yAKtO0hmbZnPzsQuGdGk/o2TyDBXg=; b=MFwSqmGY27uYeg3Hz00jiW6Mvp
 0VoU1sdn4zdZxUqlq1UuSKEsyNeDp16+p5d2UJzUOdv7NEhPiDhdrXRHZYd0JP+ljOsiCkJNN08X8
 qVvaBX5H/MVxG76x8bt6UdknbFJuvpfQzAu+I26mNflBfXUTdz8HMUnrqTwGHDA/6cAg=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nyDC3-0003XM-9M; Mon, 06 Jun 2022 15:54:57 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jason <jgg@HIDDEN>
Subject: Re: bug#41722: 26.3; mouse-2 does not work well on 7 button mouse
References: <875zc5fulv.fsf@HIDDEN>
X-Now-Playing: Festspielhaus's _Tuxedomooning: A Tribute_: "In The Name Of
 Talent (Italian Western 2)"
Date: Mon, 06 Jun 2022 15:54:54 +0200
In-Reply-To: <875zc5fulv.fsf@HIDDEN> (Jason's message of "Fri, 05 Jun 2020
 11:35:56 -0300")
Message-ID: <8735ghvqvl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jason <jgg@HIDDEN> writes: > My mouse has the
 mouse-wheel-right/left-event
 capability, however due to > the HW design if you try to generate mouse-2
 (eg middle click) it nearly > always is preceded by a mouse-6 or mouse-7
 event [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41722
Cc: 41722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jason <jgg@HIDDEN> writes:

> My mouse has the mouse-wheel-right/left-event capability, however due to
> the HW design if you try to generate mouse-2 (eg middle click) it nearly
> always is preceded by a mouse-6 or mouse-7 event. xev confirms this.
>
> At some point mwheel.el gained support for the
> mouse-wheel-right/left-event, and traps it into
> mwheel-scroll. mwheel-scroll causes *any* wheel event to disable mouse-2
> on a timer (see mwheel-inhibit-click-event-timer).
>
> Thus with my mouse middle click doesn't work in emacs any more. This is
> a new regression at some point since emacs 25.2
>
> Since the mwheel left/right scroll is inhibited by default (see
> mouse-wheel-tilt-scroll) it should not trigger the inhibit click event
> timer unless that function is turned on.
>
> This mouse is a logitech M-U0007
>
> A simple work around is to unbind mouse-6/7 but it was very tricky to
> figure all this out.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

If I understand the logic surrounding mwheel-inhibit-click-event-timer
(and I may well not), this is basically working as designed, and the
correct solution here is to do what you did -- unbind mouse-6/7.

I'm not sure what we can do on the Emacs side here -- perhaps document
this better?  But I'm not sure were.  Does anybody have an opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41722; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jun 2020 15:43:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 05 11:43:16 2020
Received: from localhost ([127.0.0.1]:49630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jhEV0-0000je-Fk
	for submit <at> debbugs.gnu.org; Fri, 05 Jun 2020 11:43:16 -0400
Received: from lists.gnu.org ([209.51.188.17]:35692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgg@HIDDEN>) id 1jhDRz-0007fk-33
 for submit <at> debbugs.gnu.org; Fri, 05 Jun 2020 10:36:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48382)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jgg@HIDDEN>) id 1jhDRy-0006ne-LI
 for bug-gnu-emacs@HIDDEN; Fri, 05 Jun 2020 10:36:02 -0400
Received: from mail-qk1-x735.google.com ([2607:f8b0:4864:20::735]:43805)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <jgg@HIDDEN>) id 1jhDRv-00030C-W1
 for bug-gnu-emacs@HIDDEN; Fri, 05 Jun 2020 10:36:01 -0400
Received: by mail-qk1-x735.google.com with SMTP id v79so9814900qkb.10
 for <bug-gnu-emacs@HIDDEN>; Fri, 05 Jun 2020 07:35:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ziepe.ca; s=google;
 h=from:to:subject:date:message-id:mime-version;
 bh=byCSvPsD69mqCVMIgzXmdPY6gIXKKKPvoQJcu0PSgEY=;
 b=egtwdZsHRbpq6gxo2R6Tt9OPatTBPh7m3hT7AqFtWldaz2IB7c/Csp9/Yf7xL8OG1w
 Oao2ru5Z8m2vNv3AhNcVKyxxFPAPD9BtXwGRNiKJZHQtqhmqf3PoNBFlmy/PXw0th8cO
 jHIkCEWM4wo8tHNCufsZjxkFvtpjCCq8m1QYiOquimL7qN6JgCGmfBchouX8FEg+lcje
 Lu8gGsjYly8KprRJWxLJBfyl9fMxfLE2+FN4TaP28xrnr532Z18zgMxR+/d92OdUq+lu
 55JajBHYn9on52j0FzgwxH1VJUpkIvLHaw2IRx248Bv1bnNqkMIMNohRrhJhVFvxW6kQ
 ReEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=byCSvPsD69mqCVMIgzXmdPY6gIXKKKPvoQJcu0PSgEY=;
 b=WCsi424vKlg7DEsj6YX3t4JQKWwWdo97BLdRjT9tDljZr2tXXermDrY9iH1L2h8b+c
 AmdbuH57YDFe4g8+JnCckDVU+0jh/pJYi3TuyTuvtM0+8p9JnaLm0CM5LKpv3ppRPSq5
 H3uHepudq2xADDbTCLN1lDgLq+F1hkRO+x299d9N62IhbTj2Ew5V8HC6T6Kx5e1VoArO
 CyyMk54l7Eq2sw47SbrQW/sHczr9ghv8ChIch7IbghaNqb5ZxJnH/+1OiVXFqcPjw+DR
 T6po8EU9lqt99CWaNSYuaEXcCzZGsjNp57o50BpXwSsPwz95A2P1Yv7eVUT68ou5ccZo
 y15w==
X-Gm-Message-State: AOAM533RAIQnBirddszhV6k7+WyVX3jHfxOTNKcFzySJUt0Xnn8oVwOf
 we9uVViZH3s2b9zLB1FeZ0hfytq0tJs=
X-Google-Smtp-Source: ABdhPJy9mE3vxEC8Cb6XM5F95wOmAzzZYvgMCtT2WeE5/bxLucjgKUSkFk3kRIPfGl0lIeAsIOynrw==
X-Received: by 2002:a37:a056:: with SMTP id j83mr10739163qke.329.1591367757633; 
 Fri, 05 Jun 2020 07:35:57 -0700 (PDT)
Received: from ziepe.ca
 (hlfxns017vw-156-34-48-30.dhcp-dynamic.fibreop.ns.bellaliant.net.
 [156.34.48.30])
 by smtp.gmail.com with ESMTPSA id z3sm6901921qkl.111.2020.06.05.07.35.56
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Jun 2020 07:35:56 -0700 (PDT)
Received: from jgg by mlx with local (Exim 4.93) (envelope-from <jgg@HIDDEN>)
 id 1jhDRs-002H3V-9D
 for bug-gnu-emacs@HIDDEN; Fri, 05 Jun 2020 11:35:56 -0300
From: Jason <jgg@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.3; mouse-2 does not work well on 7 button mouse
Date: Fri, 05 Jun 2020 11:35:56 -0300
Message-ID: <875zc5fulv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::735; envelope-from=jgg@HIDDEN;
 helo=mail-qk1-x735.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 05 Jun 2020 11:43:13 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


My mouse has the mouse-wheel-right/left-event capability, however due to
the HW design if you try to generate mouse-2 (eg middle click) it nearly
always is preceded by a mouse-6 or mouse-7 event. xev confirms this.

At some point mwheel.el gained support for the
mouse-wheel-right/left-event, and traps it into
mwheel-scroll. mwheel-scroll causes *any* wheel event to disable mouse-2
on a timer (see mwheel-inhibit-click-event-timer).

Thus with my mouse middle click doesn't work in emacs any more. This is
a new regression at some point since emacs 25.2

Since the mwheel left/right scroll is inhibited by default (see
mouse-wheel-tilt-scroll) it should not trigger the inhibit click event
timer unless that function is turned on.

This mouse is a logitech M-U0007

A simple work around is to unbind mouse-6/7 but it was very tricky to
figure all this out.


In GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.14)
 of 2020-03-26, modified by Debian built on lcy01-amd64-020
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description:	Ubuntu 20.04 LTS

Recent messages:
Auto-saving...done
Making completion list...
Type C-x 1 to delete the help window.
Auto-saving...
Starting new Ispell process aspell with default dictionary...
Checking spelling of SUPRESSED...
Auto-saving...done
Saving file /home/njgg/dotfiles/emacs/jgg-mcutpaste.el...
Wrote /home/njgg/dotfiles/emacs/jgg-mcutpaste.el
<f2> is undefined

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --enable-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/26.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.3/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --enable-libsystemd
 --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/26.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.3/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --with-x=yes
 --with-x-toolkit=gtk3 --with-toolkit-scroll-bars 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs-mEZBk7/emacs-26.3+1=. -fstack-protector-strong
 -Wformat -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS GLIB
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  global-auto-revert-mode: t
  display-time-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/usr/share/emacs/site-lisp/elpa/dash-2.17.0/dash hides /usr/share/emacs/site-lisp/elpa-src/dash-2.17.0/dash
/usr/share/emacs/site-lisp/elpa/dash-2.17.0/dash-autoloads hides /usr/share/emacs/site-lisp/elpa-src/dash-2.17.0/dash-autoloads
/usr/share/emacs/site-lisp/elpa/dash-2.17.0/dash-pkg hides /usr/share/emacs/site-lisp/elpa-src/dash-2.17.0/dash-pkg
/usr/share/emacs/site-lisp/elpa/ghub-3.3.0/buck hides /usr/share/emacs/site-lisp/elpa-src/ghub-3.3.0/buck
/usr/share/emacs/site-lisp/elpa/ghub-3.3.0/gogs hides /usr/share/emacs/site-lisp/elpa-src/ghub-3.3.0/gogs
/usr/share/emacs/site-lisp/elpa/ghub-3.3.0/ghub-pkg hides /usr/share/emacs/site-lisp/elpa-src/ghub-3.3.0/ghub-pkg
/usr/share/emacs/site-lisp/elpa/ghub-3.3.0/glab hides /usr/share/emacs/site-lisp/elpa-src/ghub-3.3.0/glab
/usr/share/emacs/site-lisp/elpa/ghub-3.3.0/ghub-autoloads hides /usr/share/emacs/site-lisp/elpa-src/ghub-3.3.0/ghub-autoloads
/usr/share/emacs/site-lisp/elpa/ghub-3.3.0/ghub-graphql hides /usr/share/emacs/site-lisp/elpa-src/ghub-3.3.0/ghub-graphql
/usr/share/emacs/site-lisp/elpa/ghub-3.3.0/ghub hides /usr/share/emacs/site-lisp/elpa-src/ghub-3.3.0/ghub
/usr/share/emacs/site-lisp/elpa/ghub-3.3.0/gsexp hides /usr/share/emacs/site-lisp/elpa-src/ghub-3.3.0/gsexp
/usr/share/emacs/site-lisp/elpa/ghub-3.3.0/gtea hides /usr/share/emacs/site-lisp/elpa-src/ghub-3.3.0/gtea
/usr/share/emacs/site-lisp/elpa/git-commit-2.90.1/git-commit hides /usr/share/emacs/site-lisp/elpa-src/git-commit-2.90.1/git-commit
/usr/share/emacs/site-lisp/elpa/git-commit-2.90.1/git-commit-pkg hides /usr/share/emacs/site-lisp/elpa-src/git-commit-2.90.1/git-commit-pkg
/usr/share/emacs/site-lisp/elpa/git-commit-2.90.1/git-commit-autoloads hides /usr/share/emacs/site-lisp/elpa-src/git-commit-2.90.1/git-commit-autoloads
/usr/share/emacs/site-lisp/elpa/let-alist-1.0.6/let-alist hides /usr/share/emacs/site-lisp/elpa-src/let-alist-1.0.6/let-alist
/usr/share/emacs/site-lisp/elpa/let-alist-1.0.6/let-alist-pkg hides /usr/share/emacs/site-lisp/elpa-src/let-alist-1.0.6/let-alist-pkg
/usr/share/emacs/site-lisp/elpa/let-alist-1.0.6/let-alist-autoloads hides /usr/share/emacs/site-lisp/elpa-src/let-alist-1.0.6/let-alist-autoloads
/usr/share/emacs/site-lisp/elpa/magit-popup-2.13.2/magit-popup-pkg hides /usr/share/emacs/site-lisp/elpa-src/magit-popup-2.13.2/magit-popup-pkg
/usr/share/emacs/site-lisp/elpa/magit-popup-2.13.2/magit-popup-autoloads hides /usr/share/emacs/site-lisp/elpa-src/magit-popup-2.13.2/magit-popup-autoloads
/usr/share/emacs/site-lisp/elpa/magit-popup-2.13.2/magit-popup hides /usr/share/emacs/site-lisp/elpa-src/magit-popup-2.13.2/magit-popup
/usr/share/emacs/site-lisp/elpa/markdown-mode-2.3snapshot210/markdown-mode hides /usr/share/emacs/site-lisp/elpa-src/markdown-mode-2.3snapshot210/markdown-mode
/usr/share/emacs/site-lisp/elpa/markdown-mode-2.3snapshot210/markdown-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/markdown-mode-2.3snapshot210/markdown-mode-autoloads
/usr/share/emacs/site-lisp/elpa/markdown-mode-2.3snapshot210/markdown-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/markdown-mode-2.3snapshot210/markdown-mode-pkg
/usr/share/emacs/site-lisp/elpa/treepy-0.1.1/treepy hides /usr/share/emacs/site-lisp/elpa-src/treepy-0.1.1/treepy
/usr/share/emacs/site-lisp/elpa/treepy-0.1.1/treepy-autoloads hides /usr/share/emacs/site-lisp/elpa-src/treepy-0.1.1/treepy-autoloads
/usr/share/emacs/site-lisp/elpa/treepy-0.1.1/treepy-pkg hides /usr/share/emacs/site-lisp/elpa-src/treepy-0.1.1/treepy-pkg
/usr/share/emacs/site-lisp/elpa/with-editor-2.6.0/with-editor-pkg hides /usr/share/emacs/site-lisp/elpa-src/with-editor-2.6.0/with-editor-pkg
/usr/share/emacs/site-lisp/elpa/with-editor-2.6.0/with-editor-autoloads hides /usr/share/emacs/site-lisp/elpa-src/with-editor-2.6.0/with-editor-autoloads
/usr/share/emacs/site-lisp/elpa/with-editor-2.6.0/with-editor hides /usr/share/emacs/site-lisp/elpa-src/with-editor-2.6.0/with-editor
/usr/share/emacs/site-lisp/elpa/yaml-mode-0.0.14/yaml-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/yaml-mode-0.0.14/yaml-mode-pkg
/usr/share/emacs/site-lisp/elpa/yaml-mode-0.0.14/yaml-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/yaml-mode-0.0.14/yaml-mode-autoloads
/usr/share/emacs/site-lisp/elpa/yaml-mode-0.0.14/yaml-mode hides /usr/share/emacs/site-lisp/elpa-src/yaml-mode-0.0.14/yaml-mode
~/dotfiles/emacs/mwheel hides /usr/share/emacs/26.3/lisp/mwheel
~/dotfiles/emacs/verilog-mode hides /usr/share/emacs/26.3/lisp/progmodes/verilog-mode
/usr/share/emacs/site-lisp/elpa/let-alist-1.0.6/let-alist hides /usr/share/emacs/26.3/lisp/emacs-lisp/let-alist

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa epg gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils ispell cl-print mouse-copy mouse-drag thingatpt grep
jgg-compile reposition compile comint ansi-color ring cl-extra eieio-opt
speedbar sb-image ezimage dframe find-func help-fns radix-tree help-mode
jgg-vc-git vc-git diff-mode easy-mmode elec-pair buff-menu+ derived cl
advice autorevert filenotify time finder-inf package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 149412 10533)
 (symbols 48 24551 1)
 (miscs 40 99 284)
 (strings 32 43136 1845)
 (string-bytes 1 1150707)
 (vectors 16 19637)
 (vector-slots 8 572978 6496)
 (floats 8 70 281)
 (intervals 56 1682 213)
 (buffers 992 16))




Acknowledgement sent to Jason <jgg@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#41722; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 6 Jun 2022 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.